const express = require('express');
const router = express.Router();
const expenseController = require('../controllers/expenseController');

router.post('/expense-categories', expenseController.createExpenseCategory);
router.get('/expense-categories', expenseController.listExpenseCategories);
router.get('/expense-categories/:id', expenseController.getCategoryById);
router.put('/expense-categories/:id', expenseController.updateCategory);
router.delete('/expense-categories/:id', expenseController.deleteCategory);

router.get('/', expenseController.getExpenses);
router.post('/', expenseController.createExpense);
router.put('/:id', expenseController.updateExpense);
router.delete('/:id', expenseController.deleteExpense);
router.get('/:id', expenseController.getSingleExpenseById);


module.exports = router;
